Registration Check UAT - Bug #15619

iOS - QC1333 - Mandatory Field for IP address
20 January 2023 04:55 PM - Jimmy Phang

Status: Resolved Start date: 20 January 2023
Priority: Normal Due date:

Assignee: Jimmy Phang % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

There are several WS request that need to passing in to BE as below:

FE — TimeDepositAccountMaintenanceSubmit

FE — TimeDepositAccountOpeningAcknowledgement
FE — PaymentSubmit

FE — PaymentConfirmSubmit

FE — transactionFundTransferSubmit

FE — transactionFundTransferConfirmSubmit

FE - PerformLoginv2

History

#1 - 25 January 2023 06:36 PM - Jimmy Phang
Already confirmed by OCBC that we shall go for IP ISP as below:

1. WHEN USING WIFI
IP ISP: 110.137.195.36 (WHEN CHECK to https://icanhazip.com)
1. WHEN USING MOBILE DATA

IP ISP: 120.188.64.44 (WHEN CHECK to https://icanhazip.com)

#2 - 31 January 2023 11:45 AM - Yeow Yui Chuang
- Status changed from New to Resolved
- Assignee changed from Yeow Yui Chuang to Jimmy Phang

- % Done changed from 0 to 100

Fixed

#3 - 31 January 2023 01:46 PM - Jimmy Phang
Noted:

As per discussion. We shall use this https://ipv4.icanhazip.com/ to get ISP - IPV4.

#4 - 02 February 2023 04:42 PM - Jimmy Phang
- File QC1333 - Mandatory Fields Needs to Be added.pptx added
- File List of BE WS.txt added
https://icanhazip.com
https://icanhazip.com
https://ipv4.icanhazip.com/

- Status changed from Resolved to Assigned

- Assignee changed from Jimmy Phang to Yeow Yui Chuang

How many WSs do we have for Velocity Mobile? ---- BE already been added into BE Spec (below link) including the OLD Web services.
https://docs.google.com/spreadsheets/d/1PXPel7OE41Kla_MVub0XA_z5z0z5{1_WMq_ZDoTIQWQ/edit#gid=1546121701

Please pass the IP in soapenv header request for every web services. {Please take out IP:Paremeter}
Total 153 WS request would need to be included.

FE — may refer to the link above or the text document as attached .txt doc.

#5 - 08 February 2023 01:56 PM - Jimmy Phang

Please revert the IP to be sending in soap body as parameter for WS request below:

15.6 maintenance/submit - FE — TimeDepositAccountMaintenanceSubmit —
15.4 opening/submit - FE — TimeDepositAccountOpeningAcknowledgement
10.15 payment/submit

FE — PaymentSubmit

FE — PaymentConfirmSubmit

10.12 fundstransfer/submit

FE — transactionFundTransferSubmit

FE — transactionFundTransferConfirmSubmit
3.3 user/authenticate

FE - PerformLoginv2

Please refer to the original slides #1

#6 - 14 February 2023 02:50 PM - Yeow Yui Chuang
- Status changed from Assigned to Resolved

- Assignee changed from Yeow Yui Chuang to Jimmy Phang

Files

QC1333 - Mandatory Fields Needs to Be added.pptx 60.1 KB 20 January 2023 Jimmy Phang
QC1333 - Mandatory Fields Needs to Be added.pptx 68 KB 02 February 2023 Jimmy Phang
List of BE WS.txt 3.84 KB 02 February 2023 Jimmy Phang
https://docs.google.com/spreadsheets/d/1PXPeI7OE41Kla_MVub0XA_z5z0z5j1_WMq_ZDoTIQWQ/edit#gid=1546121701
http://www.tcpdf.org

